Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.visitors
Class StringFindingVisitor

    java.lang.Object
      org.htmlparser.visitors.NodeVisitor
          org.htmlparser.visitors.StringFindingVisitor

    public class StringFindingVisitor

extends NodeVisitor

Constructor Summary
`StringFindingVisitor(String stringToFind)`
`StringFindingVisitor(String stringToFind, Locale locale)`

Method Summary
`void` | `doMultipleSearchesWithinStrings()`
`int` | `stringFoundCount()`
`boolean` | `stringWasFound()`
`void` | `visitStringNode(Text stringNode)` Called for each `StringNode` visited.

Methods inherited from class org.htmlparser.visitors.NodeVisitor
`beginParsing, finishedParsing, shouldRecurseChildren, shouldRecurseSelf, visitEndTag, visitRemarkNode, visitTag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringFindingVisitor

    public StringFindingVisitor(String stringToFind)

### StringFindingVisitor

    public StringFindingVisitor(String stringToFind,
                                Locale locale)

Method Detail

### doMultipleSearchesWithinStrings

    public void doMultipleSearchesWithinStrings()

### visitStringNode

    public void visitStringNode(Text stringNode)

  Description copied from class: `NodeVisitor`
  Called for each `StringNode` visited.

  Overrides:
    `visitStringNode` in class `NodeVisitor`
  Parameters:
    `stringNode` - The string node being visited.

### stringWasFound

    public boolean stringWasFound()

### stringFoundCount

    public int stringFoundCount()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |